﻿using Infragistics.Controls.Editors;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class VM : INotifyPropertyChanged
    {
        public VM()
        {
            Regions = new ObservableCollection<string>
            {
                "name0",
                "name1",
                "name2"
            };

            SelectedRegions = new ObservableCollection<object>
            {
                "name1"
            };
        }

        public ObservableCollection<string> Regions { get; set; }


        private ObservableCollection<object> _selectedRegions;

        public ObservableCollection<object> SelectedRegions
        {

            get { return _selectedRegions; }

            set
            {
                if (_selectedRegions != value)
                {
                    _selectedRegions = value;
                    OnPropertyChanged("SelectedRegions");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChanged(string name)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(name));
        }
    }
}
